import { Canvas } from './canvas';
export declare class Point {
    x: number;
    y: number;
    pointShape: PointShape | null;
    color: string;
    constructor(x: number, y: number, color?: string);
    createElement(canvas: Canvas, color: string, pointShape?: PointShape): d3.Selection<d3.BaseType, {}, null, undefined>;
}
export declare enum PointShape {
    CIRCLE = "Circle",
    TRIANGLE = "Triangle",
    SQUARE = "Square",
}
