import { Component, ElementRef, Input, ViewEncapsulation } from '@angular/core';
import * as d3 from 'd3';
var NgCanvasComponent = (function () {
    function NgCanvasComponent(elementRef) {
        this.elementRef = elementRef;
        this.htmlElement = this.elementRef.nativeElement;
        this.host = d3.select(this.htmlElement);
    }
    NgCanvasComponent.prototype.ngOnInit = function () {
        this.canvas.appendTo(this.host.select('div'));
        if (!this.canvas.hasObservable) {
            this.canvas.buildGroup();
        }
    };
    NgCanvasComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng-ax-path',
                    encapsulation: ViewEncapsulation.None,
                    template: '<div class="ng-ax-path-svg"></div>',
                },] },
    ];
    /** @nocollapse */
    NgCanvasComponent.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    NgCanvasComponent.propDecorators = {
        'canvas': [{ type: Input },],
    };
    return NgCanvasComponent;
}());
export { NgCanvasComponent };
//# sourceMappingURL=ng-canvas.component.js.map