import { AxisOptions } from './axis';
import { CanvasOptions } from './canvas';
export interface StyleOptions {
    CanvasOptions: CanvasOptions;
    AxisOptions: AxisOptions;
}
export declare enum CanvasStyle {
    Coordinate = "Coordinate",
    CanvasBoard = "CanvasBoard",
}
export declare const CanvasStyles: {
    [key: string]: StyleOptions;
    'Coordinate': StyleOptions;
    'CanvasBoard': StyleOptions;
};
